Package com.destroystokyo.paper.event.executor

# Class StaticMethodHandleEventExecutor

java.lang.Object
com.destroystokyo.paper.event.executor.StaticMethodHandleEventExecutor

All Implemented Interfaces:
  `EventExecutor`

public class StaticMethodHandleEventExecutor extends Object implements EventExecutor

## Field Summary

### Fields inherited from interface org.bukkit.plugin.EventExecutor

`eventExecutorMap`

## Constructor Summary

Constructors
Constructor
Description
`StaticMethodHandleEventExecutor(@NotNull Class<? extends Event> eventClass, @NotNull Method m)`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(@NotNull Listener listener, @NotNull Event event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StaticMethodHandleEventExecutor

public StaticMethodHandleEventExecutor(@NotNull @NotNull Class<? extends Event> eventClass, @NotNull @NotNull Method m)

## Method Details

### execute

public void execute(@NotNull @NotNull Listener listener, @NotNull @NotNull Event event) throws EventException

Specified by:
  `execute` in interface `EventExecutor`
Throws:
  `EventException`